ConstantValue (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.classfile.ConstantValue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class ConstantValue

    java.lang.Object
      org.apache.bcel.classfile.Attribute
          org.apache.bcel.classfile.ConstantValue

All Implemented Interfaces:
  Serializable, Cloneable, Node

    public final class ConstantValue

extends Attribute

This class is derived from Attribute and represents a constant value, i.e., a default value for initializing a class field. This class is instantiated by the Attribute.readAttribute() method.

Version:
  $Id: ConstantValue.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Attribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`ConstantValue(ConstantValue c)` Initialize from another object.
`ConstantValue(int name_index, int length, int constantvalue_index, ConstantPool constant_pool)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`Attribute` | `copy(ConstantPool _constant_pool)`
`void` | `dump(DataOutputStream file)` Dump constant value attribute to file stream on binary format.
`int` | `getConstantValueIndex()`
`void` | `setConstantValueIndex(int constantvalue_index)`
`String` | `toString()`

Methods inherited from class org.apache.bcel.classfile.Attribute
`addAttributeReader, clone, getConstantPool, getLength, getNameIndex, getTag, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantValue

    public ConstantValue(ConstantValue c)

  Initialize from another object. Note that both objects use the same references (shallow copy). Use clone() for a physical copy.

### ConstantValue

    public ConstantValue(int name_index,
                         int length,
                         int constantvalue_index,
                         ConstantPool constant_pool)

Parameters:
  `name_index` - Name index in constant pool
  `length` - Content length in bytes
  `constantvalue_index` - Index in constant pool
  `constant_pool` - Array of constants

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Attribute`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump constant value attribute to file stream on binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### getConstantValueIndex

    public final int getConstantValueIndex()

  Returns:
    Index in constant pool of constant value.

### setConstantValueIndex

    public final void setConstantValueIndex(int constantvalue_index)

  Parameters:
    `constantvalue_index` - the index info the constant pool of this constant value

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation of constant value.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.